From b2add9bb98b689d504b4cd1b0ea464d73b3641a5 Mon Sep 17 00:00:00 2001
From: Chris Adams <chris.adams@qinetic.com.au>
Date: Thu, 1 Oct 2020 16:09:26 +1000
Subject: [PATCH 11/32] Remove usage of deprecated QLatin1Literal

Change-Id: I55f270d2fcdaf48aea6e058553c19db517abe2a8
Reviewed-by: Pekka Vuorela <pvuorela@iki.fi>
Reviewed-by: Alberto Mardegan <mardy@users.sourceforge.net>
Signed-off-by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
---
 src/versit/qversitcontactimporter_p.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/versit/qversitcontactimporter_p.cpp b/src/versit/qversitcontactimporter_p.cpp
index ffeb963f..e9a9ed8b 100644
--- a/src/versit/qversitcontactimporter_p.cpp
+++ b/src/versit/qversitcontactimporter_p.cpp
@@ -68,7 +68,7 @@ QVersitContactImporterPrivate::QVersitContactImporterPrivate(const QStringList&
         sizeof(versitContactDetailMappings)/sizeof(VersitContactDetailMapping);
     for (int i=0; i < versitPropertyCount; i++) {
         QString versitPropertyName =
-            QLatin1Literal(versitContactDetailMappings[i].versitPropertyName);
+            QString::fromLatin1(versitContactDetailMappings[i].versitPropertyName);
         QPair<QContactDetail::DetailType, int> contactDetail;
         contactDetail.first =
             versitContactDetailMappings[i].detailType;
-- 
2.30.2

